summaryrefslogtreecommitdiffstats
path: root/system/postgresql
diff options
context:
space:
mode:
author Adis Nezirovic <adis _at_ linux.org.ba>2010-05-11 19:46:35 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 19:46:35 +0200
commit71917d7ae08fb1d3ffd1c7fd69aae7ce22ed3324 (patch)
tree48f8a7c6443aed5e36e2089dcbb30d91778f41a6 /system/postgresql
parente71b7af2e0b90ef7159ffc1aed291c2d808c8db6 (diff)
downloadslackbuilds-71917d7ae08fb1d3ffd1c7fd69aae7ce22ed3324.tar.gz
slackbuilds-71917d7ae08fb1d3ffd1c7fd69aae7ce22ed3324.tar.xz
system/postgresql: Updated for version 8.3.0
Diffstat (limited to 'system/postgresql')
-rw-r--r--system/postgresql/README4
-rw-r--r--system/postgresql/postgresql.SlackBuild38
-rw-r--r--system/postgresql/postgresql.info6
-rw-r--r--system/postgresql/setup.postgresql4
4 files changed, 27 insertions, 25 deletions
diff --git a/system/postgresql/README b/system/postgresql/README
index a2c2a18999..6a79a84ee8 100644
--- a/system/postgresql/README
+++ b/system/postgresql/README
@@ -16,6 +16,10 @@ tsearch2 -
Full-text-index support using GiST
by Teodor Sigaev <teodor@sigaev.ru> and Oleg Bartunov
<oleg@sai.msu.su>.
+ Since ver. 8.3 tsearch2 is directly supported by PostgreSQL
+ This contrib module is now a compatibility layer. Run
+ # TSEARCH2_COMPAT=no ./postgresql.SlackBuild
+ if you don't need it.
Before you can run postgresql you'll need to create the
diff --git a/system/postgresql/postgresql.SlackBuild b/system/postgresql/postgresql.SlackBuild
index 46c180e565..379541eed0 100644
--- a/system/postgresql/postgresql.SlackBuild
+++ b/system/postgresql/postgresql.SlackBuild
@@ -9,11 +9,12 @@
# Slightly modified by the SlackBuilds Project
PRGNAM=postgresql
-VERSION=8.2.4
+VERSION=8.3.0
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
-TAG=${TAG:_SBo}
-CWD=`pwd`
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -65,20 +66,27 @@ CFLAGS="$SLKCFLAGS" \
--with-tcl \
--with-perl \
--with-python \
+ --with-ldap \
+ --with-xml \
--enable-thread-safety || exit 1
make || exit 1
make DESTDIR=$PKG install-strip || exit 1
-# Two nice extensions:
-# adminpack for pgAdmin
-# tsearch2 for full text search
+# adminpack extension for pgAdmin
cd $TMP/$PRGNAM-$VERSION/contrib/adminpack
make || exit 1
make DESTDIR=$PKG install-strip || exit 1
-cd $TMP/$PRGNAM-$VERSION/contrib/tsearch2
-make || exit 1
-make DESTDIR=$PKG install-strip || exit 1
+# Since version 8.3 tsearch2 is directly supported by PostgreSQL
+# This contrib module is now a compatibility layer.
+# If you haven't user tsearch2 previously you can disable
+# compatibility layer by running:
+# TSEARCH2_COMPAT=no ./postgresql.SlackBuild
+if [ "$TSEARCH2_COMPAT" != "no" ]; then
+ cd $TMP/$PRGNAM-$VERSION/contrib/tsearch2
+ make || exit 1
+ make DESTDIR=$PKG install-strip || exit 1
+fi
cd $TMP/$PRGNAM-$VERSION
@@ -93,17 +101,7 @@ cp -a COPYRIGHT \
doc/* \
$PKG/usr/doc/$PRGNAM-$VERSION/
rm -fr $PKG/usr/doc/$PRGNAM-$VERSION/{man.tar.gz,man1,manl,man7,postgres.tar.gz}
-
-# Ensure this flu^^^script spreads further
-SLACK_BUILD=$PKG/usr/share/$PRGNAM/SlackBuild
-mkdir -p $SLACK_BUILD
-cat $CWD/$PRGNAM.SlackBuild > $SLACK_BUILD/$PRGNAM.SlackBuild
-cat $CWD/$PRGNAM.info > $SLACK_BUILD/$PRGNAM.info
-cat $CWD/slack-desc > $SLACK_BUILD/slack-desc
-cat $CWD/doinst.sh > $SLACK_BUILD/doinst.sh
-cat $CWD/README > $SLACK_BUILD/README
-cat $CWD/rc.postgresql.new > $SLACK_BUILD/rc.postgresql.new
-cat $CWD/setup.postgresql > $SLACK_BUILD/setup.postgresql
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
# base database directory
# assumes you are using /var/lib/pgsql as a homedir for postgres user
diff --git a/system/postgresql/postgresql.info b/system/postgresql/postgresql.info
index c53f74a1ce..9fa51c912f 100644
--- a/system/postgresql/postgresql.info
+++ b/system/postgresql/postgresql.info
@@ -1,8 +1,8 @@
PRGNAM="postgresql"
-VERSION="8.2.4"
+VERSION="8.3.0"
HOMEPAGE="http://www.postgresql.org"
-DOWNLOAD="ftp://ftp.postgresql.org/pub/source/v8.2.4/postgresql-8.2.4.tar.bz2"
-MD5SUM="af7ec100a33c41bfb8d87b5e0ec2f44a"
+DOWNLOAD="ftp://ftp.postgresql.org/pub/source/v8.3.0/postgresql-8.3.0.tar.bz2"
+MD5SUM="53d6816eac7442f9bc8103439ebee22e"
MAINTAINER="Adis Nezirovic"
EMAIL="adis _at_ linux.org.ba"
APPROVED="BP{k}"
diff --git a/system/postgresql/setup.postgresql b/system/postgresql/setup.postgresql
index 0c52cbf949..9b23bbd2f2 100644
--- a/system/postgresql/setup.postgresql
+++ b/system/postgresql/setup.postgresql
@@ -3,9 +3,9 @@
PG_HOME=/var/lib/pgsql
PG_USER=postgres
-PG_USER_ID=26
+PG_USER_ID=209
PG_GROUP=postgres
-PG_GROUP_ID=26
+PG_GROUP_ID=209
echo "Adding PostgreSQL user and group..."
groupadd -g $PG_GROUP_ID $PG_GROUP